## org.hibernate.internal.jaxb.mapping.orm
Enum JaxbFetchType

    java.lang.Object
      java.lang.Enum<JaxbFetchType>
          org.hibernate.internal.jaxb.mapping.orm.JaxbFetchType

All Implemented Interfaces:
  Serializable, Comparable<JaxbFetchType>

    public enum JaxbFetchType

extends Enum<JaxbFetchType>

Java class for fetch-type.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="fetch-type">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="LAZY"/>
         <enumeration value="EAGER"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`EAGER`
`LAZY`

Method Summary
`static JaxbFetchType` `fromValue(String v)`
`String` `value()`
`static JaxbFetchType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbFetchType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LAZY

    public static final JaxbFetchType LAZY

### EAGER

    public static final JaxbFetchType EAGER

Method Detail

### values

    public static JaxbFetchType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbFetchType c : JaxbFetchType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbFetchType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbFetchType fromValue(String v)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.